MetalToolTipUI (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalToolTipUI
Keywords: javax.swing.plaf.metal.MetalToolTipUI class

# Class MetalToolTipUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ToolTipUI
javax.swing.plaf.basic.BasicToolTipUI
javax.swing.plaf.metal.MetalToolTipUI

public class MetalToolTipUI extends BasicToolTipUI
A Metal L&F extension of BasicToolTipUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `padSpaceBetweenStrings`
  The space between strings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalToolTipUI()`
  Constructs an instance of the `MetalToolTipUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent c)`
  Returns an instance of the `MetalToolTipUI`.
  `String`
  `getAcceleratorString()`
  Returns the accelerator string.
  `protected boolean`
  `isAcceleratorHidden()`
  If the accelerator is hidden, the method returns `true`, otherwise, returns `false`.

  ### Methods declared in class BasicToolTipUI

  `installDefaults, installListeners, uninstallDefaults, uninstallListeners`
  Modifier and Type
  Method
  Description
  `protected void`
  `installDefaults(JComponent c)`
  Installs default properties.
  `protected void`
  `installListeners(JComponent c)`
  Registers listeners.
  `protected void`
  `uninstallDefaults(JComponent c)`
  Uninstalls default properties.
  `protected void`
  `uninstallListeners(JComponent c)`
  Unregisters listeners.

  ### Methods declared in class ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`
  Modifier and Type
  Method
  Description
  `boolean`
  `contains(JComponent c, int x, int y)`
  Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
  `Accessible`
  `getAccessibleChild(JComponent c, int i)`
  Returns the `i`th `Accessible` child of the object.
  `int`
  `getAccessibleChildrenCount(JComponent c)`
  Returns the number of accessible children in the object.
  `int`
  `getBaseline(JComponent c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(JComponent c)`
  Returns an enum indicating how the baseline of the component changes as the size changes.
  `Dimension`
  `getMaximumSize(JComponent c)`
  Returns the specified component's maximum size appropriate for the look and feel.
  `Dimension`
  `getMinimumSize(JComponent c)`
  Returns the specified component's minimum size appropriate for the look and feel.
  `Dimension`
  `getPreferredSize(JComponent c)`
  Returns the specified component's preferred size appropriate for the look and feel.
  `void`
  `installUI(JComponent c)`
  Configures the specified component appropriately for the look and feel.
  `void`
  `paint(Graphics g, JComponent c)`
  Paints the specified component appropriately for the look and feel.
  `void`
  `uninstallUI(JComponent c)`
  Reverses configuration which was done on the specified component during `installUI`.
  `void`
  `update(Graphics g, JComponent c)`
  Notifies this UI delegate that it is time to paint the specified component.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### padSpaceBetweenStrings

    public static final int padSpaceBetweenStrings
    The space between strings.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MetalToolTipUI

    public MetalToolTipUI()
    Constructs an instance of the `MetalToolTipUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Returns an instance of the `MetalToolTipUI`.
    Parameters:
      `c` - a component
    Returns:
      an instance of the `MetalToolTipUI`.

  - ### isAcceleratorHidden

    protected boolean isAcceleratorHidden()
    If the accelerator is hidden, the method returns `true`, otherwise, returns `false`.
    Returns:
      `true` if the accelerator is hidden.

  - ### getAcceleratorString

    public String getAcceleratorString()
    Returns the accelerator string.
    Returns:
      the accelerator string.